%global packname  affydata

Name:             R-%{packname}
Version:          1.11.15
Release:          2%{dist}
Summary:          Affymetrix data for demonstration purpose

Group:            Applications/Engineering 
License:          GPLv2+
URL:              http://www.bioconductor.org/packages/2.6/data/experiment/html/affydata.html
Source0:          http://www.bioconductor.org/packages/2.6/data/experiment/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch 

Requires:         R-core >= 2.4.0 
Requires:         R-affy >= 1.23.4 
Requires:         R-hgu95av2cdf
Requires:         R-hgu133acdf 
BuildRequires:    R-devel >= 2.4.0
BuildRequires:    tex(latex)
BuildRequires:    /usr/bin/texi2dvi
BuildRequires:    R-affy >= 1.23.4
BuildRequires:    R-hgu95av2cdf
BuildRequires:    R-hgu133acdf

%description
Example data sets of a slightly large size. They represent 'real world
examples', unlike the artificial examples included in the package affy.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf %{buildroot}

# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


%check
%{_bindir}/R CMD check %{packname}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)

# noarch
%dir %{_datadir}/R/library/%{packname}/
%doc %{_datadir}/R/library/%{packname}/doc/
%doc %{_datadir}/R/library/%{packname}/html/
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta/
%{_datadir}/R/library/%{packname}/R/
%{_datadir}/R/library/%{packname}/help/
%{_datadir}/R/library/%{packname}/celfiles/
%{_datadir}/R/library/%{packname}/data/
%{_datadir}/R/library/%{packname}/extracelfiles/


%changelog
* Wed Nov 08 2011 Tom Callaway <spot@fedoraproject.org> 1.11.15-2
- rebuild for R 2.14.0

* Thu Nov 03 2011 pingou <pingou@pingoured.fr> 1.11.15-1
- Update to version 1.11.15

* Tue Mar 15 2011 pingou <pingou@pingoured.fr> 1.11.11-1
- Update to version 1.11.11

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 11 2010 Sandro Mathys <red at fedoraproject.org> - 1.11.10-1
- initial package
